Contraseñas maestras
Actualizar contraseña maestra
Rename a master password under the path account.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
/
{credential_id}
Actualizar contraseña maestra
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizaciones
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Cuerpo
application/json
Solicitud para cambiar el nombre de una contraseña maestra.
Nombre visible de la contraseña maestra
Required string length:
1 - 100Respuesta
Marca de tiempo de creación de la contraseña maestra
UUID de la contraseña maestra
Nombre visible de la contraseña maestra
UUID del recurso del ámbito de la contraseña maestra
Tipo de ámbito de recurso donde se aplica la contraseña maestra
Opciones disponibles:
account, workspace, domain Marca de tiempo de la última actualización de la contraseña maestra
¿Esta página le ayudó?
⌘I
Actualizar contraseña maestra
